# $Revision: 1.52 $, $Date: 2010/03/30 09:08:58 $
#
# TODO:
# - split (awt-gtk, midi-alsa, midi-dssi, ???-qt, ???-gconf, ???-gstreamer, browser???)
#
# NOTE:
# - do not package gjdoc. This version of gjdoc is devel. See gjdoc.spec for
#   stable version.
#
# Conditional build:
%bcond_with	gcj	# use gcj instead of jdk  [broken]
%bcond_with	plugin	# build gcjwebplugin
%bcond_with	apidocs	# prepare API documentation (over 200MB)
#
%define		srcname	classpath
#
Summary:	GNU Classpath (Essential Libraries for Java)
Summary(pl.UTF-8):	GNU Classpath (Najważniejsze biblioteki dla Javy)
Name:		java-gnu-classpath
Version:	0.98
Release:	5
License:	GPL v2+ with linking exception
Group:		Libraries/Java
Source0:	http://ftp.gnu.org/gnu/classpath/%{srcname}-%{version}.tar.gz
# Source0-md5:	90c6571b8b0309e372faa0f9f6255ea9
Patch0:		%{srcname}-info.patch
URL:		http://www.gnu.org/software/classpath/classpath.html
BuildRequires:	GConf2-devel >= 2.6.0
BuildRequires:	QtCore-devel >= 4.1.0
BuildRequires:	QtGui-devel >= 4.1.0
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.7
BuildRequires:	cairo-devel >= 1.1.8
BuildRequires:	dssi-devel
%{?with_gcj:BuildRequires:	gcc-java >= 5:4.0.2}
%{?with_apidocs:BuildRequires:	gjdoc}
BuildRequires:	gstreamer-devel >= 0.10.10
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.10
BuildRequires:	gtk+2-devel >= 2:2.8
%{!?with_gcj:BuildRequires:	jdk >= 1.5}
BuildRequires:	libmagic-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 1.4.2
BuildRequires:	libxml2-devel >= 1:2.6.8
BuildRequires:	libxslt-devel >= 1.1.11
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	texinfo >= 4.2
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xulrunner-devel >= 1.8
BuildRequires:	zip
Provides:	jre-X11
Provides:	jre-alsa
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Classpath (Essential Libraries for Java) is a project to create
free core class libraries for use with virtual machines and compilers
for the Java language. It includes all native methods and core classes
necessary for a completely functional Java runtime.

%description -l pl.UTF-8
GNU Classpath (najważniejsze biblioteki Javy) to projekt stworzenia
wolnodostępnych bibliotek klas podstawowych do wykorzystania z
wirtualnymi maszynami i kompilatorami języka Java. Zawiera wszystkie
natywne metody i główne klasy niezbędne dla kompletnej funkcjonalności
środowiska Javy.

%package apidocs
Summary:	API documentation
Summary(pl.UTF-8):	Dokumentacja API
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description apidocs
Annotated reference of GNU Classpath libraries programming interface
including:
- class lists
- class members
- namespaces

%description apidocs -l pl.UTF-8
Dokumentacja interfejsu programowania bibliotek GNU Classpath z
przypisami. Zawiera:
- listy klas i ich składników
- listę przestrzeni nazw (namespace)

%package devel
Summary:	Development files for GNU Classpath
Summary(pl.UTF-8):	Pliki dla programistów używających GNU Classpath
Group:		Development/Libraries
Obsoletes:	classpath-static
# doesn't require base

%description devel
GNU Classpath (Essential Libraries for Java) - development files.

%description devel -l pl.UTF-8
GNU Classpath (Najważniejsze biblioteki dla Javy) - pliki dla
programistów.

%package tools
Summary:	Shared Java tools
Summary(pl.UTF-8):	Współdzielone narzędzia Javy
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Provides:	jar
Provides:	java-jre-tools
Provides:	java-shared
Obsoletes:	fastjar
Obsoletes:	jar
Obsoletes:	java-jre-tools
Obsoletes:	java-shared

%description tools
Java tools - GNU Classpath implementation.

%description tools -l pl.UTF-8
Narzędzia Javy - implementacja GNU Classpath.

%package tools-devel
Summary:	Shared Java development tools
Summary(pl.UTF-8):	Współdzielone narzędzia programistyczne Javy
Group:		Development/Languages/Java
Requires:	%{name}-tools = %{version}-%{release}

%description tools-devel
Java development tools - GNU Classpath implementation.

%description tools-devel -l pl.UTF-8
Narzędzia programistyczne Javy - implementacja GNU Classpath.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build

ECJ_JAR=$(find-jar ecj)

%configure \
	JAVAC="%{?with_gcj:gcj -C}%{!?with_gcj:javac}" \
	MOC=moc-qt4 \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-gstreamer-peer \
	--enable-gtk-peer \
	--enable-java \
	--enable-jni \
	--enable-load-library \
	--enable-qt-peer \
	--enable-xmlj \
	%{!?with_plugin:--disable-plugin} \
	--with%{!?with_apidocs:out}-gjdoc \
	--with-javah=%{?with_gcj:gcjh}%{!?with_gcj:javah} \
	--with-ecj-jar=$ECJ_JAR \
	--disable-examples

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{srcname}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s %{_datadir}/classpath/glibj.zip $RPM_BUILD_ROOT%{_javadir}/glibj.jar
ln -s %{_datadir}/classpath/tools.zip $RPM_BUILD_ROOT%{_javadir}/tools.jar

%if %{with apidocs}
cp -afr doc/api/html/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

rm -f $RPM_BUILD_ROOT%{_libdir}/classpath/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post apidocs
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKYOU TODO
%dir %{_libdir}/classpath
%{?with_plugin:%attr(755,root,root) %{_libdir}/classpath/libgcjwebplugin.so}
%attr(755,root,root) %{_libdir}/classpath/libgconfpeer.so
%attr(755,root,root) %{_libdir}/classpath/libgjsmalsa.so
%attr(755,root,root) %{_libdir}/classpath/libgjsmdssi.so
%attr(755,root,root) %{_libdir}/classpath/libgstreamerpeer.so
%attr(755,root,root) %{_libdir}/classpath/libgtkpeer.so
%attr(755,root,root) %{_libdir}/classpath/libjavaio.so*
%attr(755,root,root) %{_libdir}/classpath/libjavalang.so*
%attr(755,root,root) %{_libdir}/classpath/libjavalangmanagement.so*
%attr(755,root,root) %{_libdir}/classpath/libjavalangreflect.so*
%attr(755,root,root) %{_libdir}/classpath/libjavamath.so
%attr(755,root,root) %{_libdir}/classpath/libjavanet.so*
%attr(755,root,root) %{_libdir}/classpath/libjavanio.so*
%attr(755,root,root) %{_libdir}/classpath/libjavautil.so*
%attr(755,root,root) %{_libdir}/classpath/libjawt.so
%attr(755,root,root) %{_libdir}/classpath/libqtpeer.so
%attr(755,root,root) %{_libdir}/classpath/libxmlj.so*
%dir %{_datadir}/classpath
%{_datadir}/classpath/glibj.zip
%{_datadir}/classpath/tools.zip
%{_javadir}/glibj.jar
%{_javadir}/tools.jar
# Following files are in /usr/lib, not in %{_libdir}.
%dir /usr/lib/security
/usr/lib/security/classpath.security
/usr/lib/logging.properties

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gappletviewer
%attr(755,root,root) %{_bindir}/gkeytool
%attr(755,root,root) %{_bindir}/gorbd
%attr(755,root,root) %{_bindir}/grmid
%attr(755,root,root) %{_bindir}/grmiregistry
%attr(755,root,root) %{_bindir}/gtnameserv
%{_mandir}/man1/gappletviewer.1*
%{_mandir}/man1/gkeytool.1*
%{_mandir}/man1/gorbd.1*
%{_mandir}/man1/grmid.1*
%{_mandir}/man1/grmiregistry.1*
%{_mandir}/man1/gtnameserv.1*

%files tools-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gjar
%attr(755,root,root) %{_bindir}/gjarsigner
%attr(755,root,root) %{_bindir}/gjavah
%attr(755,root,root) %{_bindir}/gnative2ascii
%attr(755,root,root) %{_bindir}/grmic
%attr(755,root,root) %{_bindir}/gserialver
%{_mandir}/man1/gjar.1*
%{_mandir}/man1/gjarsigner.1*
%{_mandir}/man1/gjavah.1*
%{_mandir}/man1/gnative2ascii.1*
%{_mandir}/man1/gserialver.1*
# no bin
#%{_mandir}/man1/gcjh.1*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/jawt.h
%{_includedir}/jawt_md.h
%{_includedir}/jni.h
%{_includedir}/jni_md.h
%{_infodir}/cp-hacking.info*
%{_infodir}/cp-tools.info*
%{_infodir}/cp-vmintegration.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-gnu-classpath.spec,v $
Revision 1.52  2010/03/30 09:08:58  hawk
- release 5

Revision 1.51  2010/03/05 08:46:20  hawk
- disable gcjwebplugin, broken with xulrunner 1.9.2

Revision 1.50  2010/03/04 19:33:22  hawk
- release 3

Revision 1.49  2009/12/06 20:35:26  jajcus
- BR: dssi-devel, not dssi

Revision 1.48  2009/03/30 05:26:48  pawelz
- Libraries/Java Group

Revision 1.47  2009/03/25 17:41:10  pawelz
- rel 2

Revision 1.46  2009/03/25 16:56:03  pawelz
- absolute path to ecj.jar

Revision 1.45  2009/02/17 21:46:30  qboosh
- better -tools* descs

Revision 1.44  2009/02/17 10:32:01  pawelz
- missing %%files

Revision 1.43  2009/02/17 10:02:49  pawelz
- .properties files go to /usr/lib, not to %{_libdir}

Revision 1.42  2009/02/17 08:56:37  pawelz
- P: jre-X11
- P: jre-alsa
- adapterized

Revision 1.41  2009/02/17 08:48:52  pawelz
- unified apidocs
- updated TODO
- added NOT about gjdoc
- fixed %%files
- rel 1

Revision 1.40  2009/02/17 08:14:56  pawelz
- n arg for %%setup
- up to 0.98

Revision 1.39  2009/02/17 07:55:09  pawelz
- cleanup after changing spec name

Revision 1.38  2009/02/03 10:20:24  pawelz
- up to 0.97.2

Revision 1.37  2009/02/03 10:17:46  pawelz
- split into subpackages (-tools, -tools-devel)

Revision 1.36  2008/03/22 18:49:21  qboosh
- up to 0.97.1

Revision 1.35  2008-03-02 00:03:35  qboosh
- up to 0.97; jikes support dropped, gcj currently broken - so use javac by default
- updated info patch

Revision 1.34  2008-01-24 01:47:47  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.33  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.32  2008-01-04 19:16:37  qboosh
- qt4-moc -> moc-qt4

Revision 1.31  2007-12-03 21:16:39  qboosh
- started update to 0.96.1 (saving work, WIP)
- updated info patch
- don't build static modules (-devel O: -static)

Revision 1.30  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.28  2005/11/14 10:29:40  qboosh
- missing dir

Revision 1.27  2005/11/10 22:15:27  freetz
- 0.19, more/fixes %%files, more/updated/fixed BRs, moved info files to
  devel subpkg, run fix-info-dir in post,
  warning: Installed (but unpackaged) file(s) found:
	/usr/lib/security/classpath.security
  Wrote: /home/users/fritz/rpm/RPMS/classpath-0.19-1.i686.rpm

Revision 1.26  2005/07/03 16:16:18  undefine
- up to 0.16, rel 1

Revision 1.25  2005/05/11 19:59:41  freetz
- removed bogus gdk-pixbuf-devel BR

Revision 1.24  2005/05/04 09:15:00  pluto
- TODO moved.

Revision 1.23  2005/05/04 09:11:36  pluto
- separated apidocs (over 200MB).

Revision 1.22  2005/05/04 00:57:56  pluto
- revision 1.21 copied to AC-branch.
- generate docs with gjdoc (needs libgcj4).
- default build based on gcj4 (bcond added).
- release 2 for Th.

Revision 1.21  2005/05/03 22:00:33  pluto
- updated to 0.15.

Revision 1.20  2005/04/16 06:10:33  pluto
- updated to 0.14.

Revision 1.19  2005/02/05 19:23:09  qboosh
- pass pkglibdir/pkgdatadir instead of mv+sed
- added info patch

Revision 1.18  2005/02/05 09:51:34  pluto
- updated to 0.13.

Revision 1.17  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.16  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.15  2004/11/16 17:53:37  undefine
- there is no source0-size anymore

Revision 1.14  2004/11/15 15:52:30  paladine
- updated to 0.12

Revision 1.13  2004/11/10 13:32:59  paladine
- cosmetics

Revision 1.12  2004/10/20 20:42:27  pluto
- SourceX-size.

Revision 1.11  2004/10/20 20:05:28  pluto
- devel and static subpkgs added.

Revision 1.10  2004/10/14 17:09:41  pluto
- glibj.zip moved to %%{_javadir}.
- release 2.

Revision 1.9  2004/10/13 21:25:15  pluto
- works (tested with jamvm).
- release 1.

Revision 1.8  2004/10/09 16:02:18  saq
- missing BR

Revision 1.7  2004/10/09 14:20:51  pluto
- updated to 0.11.

Revision 1.6  2004/09/26 12:03:59  darekr
- add BR: zip

Revision 1.5  2004/09/05 06:01:43  pluto
- release 0.2.

Revision 1.4  2004/09/03 23:12:13  pluto
- build/install fixed.

Revision 1.3  2004/09/03 11:15:52  undefine
- merge my previous changes ;):
- use jikes by default (our gcc-java doesn't work - needed 3.4 version or
  some patches from debian - hgw what..)
- files, small note about security... etc. what now?

Revision 1.2  2004/09/03 11:00:36  undefine
- work on head

Revision 1.1.2.1  2004/09/02 23:32:09  pluto
- initial, nfy...
